Skip to navigation

Get ProteinSchema by ID

Beta
Get a single ProteinSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

protein_schema_idstringRequired
ID of the ProteinSchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returninglist of stringsOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitlist of stringsOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableRegistrationNamingOptionslist of enumsOptional
chainLinkedSchemaslist of objectsOptional
Schema or interface links for each chain label in the protein format.
constraintobject or nullOptional

Defines uniqueness requirements for entities within a schema. Constraints ensure that registered entities have unique values across specified fields (see fieldDefinitionNames) or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues field is a legacy indicator for sequence uniqueness.

containableTypeenumOptional
Allowed values:
containerNameTemplateobject or nullOptional
A name template for containers.
createdAtstring or nullOptionalformat: "datetime"
descriptionstringOptional
domainLinkedSchemaslist of objectsOptional
Schema or interface links for each domain type in the protein format.
fieldDefinitionsstringOptionalformat: "uri"
fieldsetsstringOptionalformat: "uri"
formatobjectOptional

The protein format that defines the structure (domains, chains, interactions) for entities of this schema.

iconIdenumOptional
Allowed values:
idstringOptional
includeRegistryIdInChipsbooleanOptional
itemIdPrefixstringOptional
modifiedAtstringOptionalformat: "datetime"
namestringOptional
nameTemplateobject or nullOptional
A name template for entities.
organizationobjectOptional
systemCategorieslist of objectsOptional
systemNamestringOptional
useRegistryIdForItemDisplayLabelbooleanOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error